// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v4.25.6
// source: auth_settings.proto

package gen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// GetAuthSettingsResponse represents the OIDC configuration used by the API.
type GetAuthSettingsResponse struct {
	state             protoimpl.MessageState `protogen:"open.v1"`
	OidcIssuerUrl     *string                `protobuf:"bytes,1,opt,name=oidc_issuer_url,json=oidcIssuerUrl,proto3,oneof" json:"oidc_issuer_url,omitempty"`
	OidcClientId      *string                `protobuf:"bytes,2,opt,name=oidc_client_id,json=oidcClientId,proto3,oneof" json:"oidc_client_id,omitempty"`
	OidcUsernameClaim *string                `protobuf:"bytes,3,opt,name=oidc_username_claim,json=oidcUsernameClaim,proto3,oneof" json:"oidc_username_claim,omitempty"`
	OidcScope         *string                `protobuf:"bytes,4,opt,name=oidc_scope,json=oidcScope,proto3,oneof" json:"oidc_scope,omitempty"`
	unknownFields     protoimpl.UnknownFields
	sizeCache         protoimpl.SizeCache
}

func (x *GetAuthSettingsResponse) Reset() {
	*x = GetAuthSettingsResponse{}
	mi := &file_auth_settings_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetAuthSettingsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetAuthSettingsResponse) ProtoMessage() {}

func (x *GetAuthSettingsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_auth_settings_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetAuthSettingsResponse.ProtoReflect.Descriptor instead.
func (*GetAuthSettingsResponse) Descriptor() ([]byte, []int) {
	return file_auth_settings_proto_rawDescGZIP(), []int{0}
}

func (x *GetAuthSettingsResponse) GetOidcIssuerUrl() string {
	if x != nil && x.OidcIssuerUrl != nil {
		return *x.OidcIssuerUrl
	}
	return ""
}

func (x *GetAuthSettingsResponse) GetOidcClientId() string {
	if x != nil && x.OidcClientId != nil {
		return *x.OidcClientId
	}
	return ""
}

func (x *GetAuthSettingsResponse) GetOidcUsernameClaim() string {
	if x != nil && x.OidcUsernameClaim != nil {
		return *x.OidcUsernameClaim
	}
	return ""
}

func (x *GetAuthSettingsResponse) GetOidcScope() string {
	if x != nil && x.OidcScope != nil {
		return *x.OidcScope
	}
	return ""
}

var File_auth_settings_proto protoreflect.FileDescriptor

var file_auth_settings_proto_rawDesc = string([]byte{
	0x0a, 0x13, 0x61, 0x75, 0x74, 0x68, 0x5f, 0x73, 0x65, 0x74, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x24, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c,
	0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x75, 0x74, 0x68, 0x73, 0x65, 0x74, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x1a, 0x1b, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70,
	0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x98, 0x02, 0x0a, 0x17, 0x47, 0x65, 0x74,
	0x41, 0x75, 0x74, 0x68, 0x53, 0x65, 0x74, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2b, 0x0a, 0x0f, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x69, 0x73, 0x73,
	0x75, 0x65, 0x72, 0x5f, 0x75, 0x72, 0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x48, 0x00, 0x52,
	0x0d, 0x6f, 0x69, 0x64, 0x63, 0x49, 0x73, 0x73, 0x75, 0x65, 0x72, 0x55, 0x72, 0x6c, 0x88, 0x01,
	0x01, 0x12, 0x29, 0x0a, 0x0e, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74,
	0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x48, 0x01, 0x52, 0x0c, 0x6f, 0x69, 0x64,
	0x63, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x88, 0x01, 0x01, 0x12, 0x33, 0x0a, 0x13,
	0x6f, 0x69, 0x64, 0x63, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x5f, 0x63, 0x6c,
	0x61, 0x69, 0x6d, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x48, 0x02, 0x52, 0x11, 0x6f, 0x69, 0x64,
	0x63, 0x55, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x43, 0x6c, 0x61, 0x69, 0x6d, 0x88, 0x01,
	0x01, 0x12, 0x22, 0x0a, 0x0a, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x73, 0x63, 0x6f, 0x70, 0x65, 0x18,
	0x04, 0x20, 0x01, 0x28, 0x09, 0x48, 0x03, 0x52, 0x09, 0x6f, 0x69, 0x64, 0x63, 0x53, 0x63, 0x6f,
	0x70, 0x65, 0x88, 0x01, 0x01, 0x42, 0x12, 0x0a, 0x10, 0x5f, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x69,
	0x73, 0x73, 0x75, 0x65, 0x72, 0x5f, 0x75, 0x72, 0x6c, 0x42, 0x11, 0x0a, 0x0f, 0x5f, 0x6f, 0x69,
	0x64, 0x63, 0x5f, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x42, 0x16, 0x0a, 0x14,
	0x5f, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x5f, 0x63,
	0x6c, 0x61, 0x69, 0x6d, 0x42, 0x0d, 0x0a, 0x0b, 0x5f, 0x6f, 0x69, 0x64, 0x63, 0x5f, 0x73, 0x63,
	0x6f, 0x70, 0x65, 0x32, 0x7a, 0x0a, 0x0c, 0x41, 0x75, 0x74, 0x68, 0x53, 0x65, 0x74, 0x74, 0x69,
	0x6e, 0x67, 0x73, 0x12, 0x6a, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x41, 0x75, 0x74, 0x68, 0x53, 0x65,
	0x74, 0x74, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x3d,
	0x2e, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61, 0x6e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x68,
	0x6f, 0x62, 0x6f, 0x73, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x75, 0x74, 0x68, 0x73, 0x65, 0x74,
	0x74, 0x69, 0x6e, 0x67, 0x73, 0x2e, 0x47, 0x65, 0x74, 0x41, 0x75, 0x74, 0x68, 0x53, 0x65, 0x74,
	0x74, 0x69, 0x6e, 0x67, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42,
	0x47, 0x5a, 0x45, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x69, 0x6e,
	0x66, 0x6f, 0x72, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x6d, 0x61, 0x72, 0x74, 0x69, 0x61,
	0x6e, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70, 0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2f, 0x70,
	0x68, 0x6f, 0x62, 0x6f, 0x73, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x70, 0x6b, 0x67, 0x2f, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
})

var (
	file_auth_settings_proto_rawDescOnce sync.Once
	file_auth_settings_proto_rawDescData []byte
)

func file_auth_settings_proto_rawDescGZIP() []byte {
	file_auth_settings_proto_rawDescOnce.Do(func() {
		file_auth_settings_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_auth_settings_proto_rawDesc), len(file_auth_settings_proto_rawDesc)))
	})
	return file_auth_settings_proto_rawDescData
}

var file_auth_settings_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_auth_settings_proto_goTypes = []any{
	(*GetAuthSettingsResponse)(nil), // 0: martiancloud.phobos.api.authsettings.GetAuthSettingsResponse
	(*emptypb.Empty)(nil),           // 1: google.protobuf.Empty
}
var file_auth_settings_proto_depIdxs = []int32{
	1, // 0: martiancloud.phobos.api.authsettings.AuthSettings.GetAuthSettings:input_type -> google.protobuf.Empty
	0, // 1: martiancloud.phobos.api.authsettings.AuthSettings.GetAuthSettings:output_type -> martiancloud.phobos.api.authsettings.GetAuthSettingsResponse
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_auth_settings_proto_init() }
func file_auth_settings_proto_init() {
	if File_auth_settings_proto != nil {
		return
	}
	file_auth_settings_proto_msgTypes[0].OneofWrappers = []any{}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_auth_settings_proto_rawDesc), len(file_auth_settings_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_auth_settings_proto_goTypes,
		DependencyIndexes: file_auth_settings_proto_depIdxs,
		MessageInfos:      file_auth_settings_proto_msgTypes,
	}.Build()
	File_auth_settings_proto = out.File
	file_auth_settings_proto_goTypes = nil
	file_auth_settings_proto_depIdxs = nil
}
